package com.anbo.actionbarmenuexample;

import android.app.Activity;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.util.Log;
import android.view.Menu;
import android.view.MenuItem;
import android.widget.TextView;

import java.util.Date;

public class MainActivity extends Activity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        SharedPreferences preferences = getPreferences(MODE_PRIVATE);
        long time = preferences.getLong("TIME", 0);
        TextView view = (TextView)findViewById(R.id.view);
        if (time == 0) {
            view.setText("No preference set");
        } else {
            Date date = new Date(time);
            view.setText(date.toString());
        }
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return super.onCreateOptionsMenu(menu);
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        switch (item.getItemId()) {
            case R.id.action_settings:
                Log.d("MENU", "Settings pressed");
                setPreference();
                return true;
        }
        return super.onOptionsItemSelected(item);
    }

    private void setPreference() {
        SharedPreferences preferences = getPreferences(MODE_PRIVATE);
        SharedPreferences.Editor editor = preferences.edit();
        editor.putLong("TIME", new Date().getTime());
        editor.apply();
    }
}
